<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@workgrid/micro-app](./micro-app.md) &gt; [MicroApp](./micro-app.microapp.md) &gt; [send](./micro-app.microapp.send.md)

## MicroApp.send() method

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Wrap the event sender in a queue that is flushed when the host is ready.

<b>Signature:</b>

```typescript
send(...args: any[]): Promise<any>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  args | any\[\] |  |

<b>Returns:</b>

Promise&lt;any&gt;

